QGIS Application - Bug report #9143
Label Expression Dump program
2013-11-29 11:15 PM - Lene Fischer

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17778
Description

Using weekly from 25.november.
Trying to make a label with expression - the program is dumped (close down)

25 students with different OS had the same experience
See video http://screencast.com/t/Hzkll0ib

History

#1 - 2013-11-30 12:57 AM - Giovanni Manghi

- Category changed from Browser to Labelling

- Status changed from Open to Feedback

- Target version set to Future Release - High Priority

- Affected QGIS version changed from 2.0.1 to master

Hi,

it gives the same issue on qgis 2.0.1?

Can you attach sample data? I'm not able to replicate it on master/Linux.

Cheers!

#2 - 2013-11-30 07:23 AM - Lene Fischer
- File Markblok.zip added

Data Attached
Regards
Lene Fischer

#3 - 2013-11-30 11:53 AM - Giovanni Manghi

Just tested qgis master 64bit installed with osgeo4w. No issues here. Maybe a plugin is the cause? can you please try with a clean installation? thanks.

#4 - 2013-12-03 02:34 AM - Lene Fischer
http://screencast.com/t/HzkII0ib

Hi Giovanni,
I’'m using a total brand 'new' installation from weekly. And my studets the same.
Regards
Lene Fischer
#5 - 2013-12-03 04:48 AM - Giovanni Manghi
Lene Fischer wrote:
Hi Giovanni,
I'm using a total brand 'new’ installation from weekly. And my studets the same.

Regards
Lene Fischer

using the standalone installer or osgeo4w?

#6 - 2013-12-03 04:56 AM - Jiirgen Fischer

Giovanni Manghi wrote:

Lene Fischer wrote:
Hi Giovanni,
I’'m using a total brand 'new’ installation from weekly. And my studets the same.
Regards

Lene Fischer

using the standalone installer or osgeo4w?

All weeklies are standalone installer snapshots from osgeo4w.

#7 - 2013-12-03 05:08 AM - Giovanni Manghi

All weeklies are standalone installer snapshots from osgeo4w.

yes | know, | was trying to understand what can be the difference from their installation and mine. | can't replicate the issue.

#8 - 2013-12-03 09:40 AM - Larry Shaffer

| can not reproduce crash with 2.0.1 release on Mac.

Lene, do you have a custom Python expression function that is being loaded?

#9 - 2013-12-03 12:50 PM - Lene Fischer
- Status changed from Feedback to Closed
http://qgis.org/downloads/weekly/?C=M;O=D
http://qgis.org/downloads/weekly/?C=M;O=D

Hi
Now we have all updated to the 2. december version - and now it works.

We also enconutered that we were unable to calculate in the fieldcalculator. So decided to take a newer version.

At first my students mumbled at bit- but seeing that a program can be fixed to fast - they were impressed.

Living (giving lectures) on the edge is no problem in an organisation like this. Thanks!!!

Lene Fischer

Files

Markblok.zip 257 KB 2013-11-30
Lene Fischer

3/3



